package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TWasteDangerdayMapper;
import com.ruoyi.project.ehs.domain.TWasteDangerday;
import com.ruoyi.project.ehs.service.ITWasteDangerdayService;

/**
 * 危废出入库统计日报Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-08
 */
@Service
public class TWasteDangerdayServiceImpl implements ITWasteDangerdayService
{
    @Autowired
    private TWasteDangerdayMapper tWasteDangerdayMapper;

    /**
     * 查询危废出入库统计日报
     *
     * @param id 危废出入库统计日报ID
     * @return 危废出入库统计日报
     */
    @Override
    public TWasteDangerday selectTWasteDangerdayById(Long id)
    {
        return tWasteDangerdayMapper.selectTWasteDangerdayById(id);
    }

    /**
     * 查询危废出入库统计日报列表
     *
     * @param tWasteDangerday 危废出入库统计日报
     * @return 危废出入库统计日报
     */
    @Override
    public List<TWasteDangerday> selectTWasteDangerdayList(TWasteDangerday tWasteDangerday)
    {
        return tWasteDangerdayMapper.selectTWasteDangerdayList(tWasteDangerday);
    }

    /**
     * 新增危废出入库统计日报
     *
     * @param tWasteDangerday 危废出入库统计日报
     * @return 结果
     */
    @Override
    public int insertTWasteDangerday(TWasteDangerday tWasteDangerday)
    {
        return tWasteDangerdayMapper.insertTWasteDangerday(tWasteDangerday);
    }

    /**
     * 修改危废出入库统计日报
     *
     * @param tWasteDangerday 危废出入库统计日报
     * @return 结果
     */
    @Override
    public int updateTWasteDangerday(TWasteDangerday tWasteDangerday)
    {
        return tWasteDangerdayMapper.updateTWasteDangerday(tWasteDangerday);
    }

    /**
     * 批量删除危废出入库统计日报
     *
     * @param ids 需要删除的危废出入库统计日报ID
     * @return 结果
     */
    @Override
    public int deleteTWasteDangerdayByIds(Long[] ids)
    {
        return tWasteDangerdayMapper.deleteTWasteDangerdayByIds(ids);
    }

    /**
     * 删除危废出入库统计日报信息
     *
     * @param id 危废出入库统计日报ID
     * @return 结果
     */
    @Override
    public int deleteTWasteDangerdayById(Long id)
    {
        return tWasteDangerdayMapper.deleteTWasteDangerdayById(id);
    }
}
